Skip to main content
PUT
/
customers
/
{id}
Update a customer
curl --request PUT \
  --url https://developersandbox-api.flutterwave.com/customers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "city": "New York",
    "country": "US",
    "line1": "123 Main Street",
    "postal_code": "10001",
    "state": "New York",
    "line2": "Apt 4B"
  },
  "meta": {},
  "name": {
    "first": "King",
    "middle": "Leo",
    "last": "LeBron"
  },
  "phone": {
    "country_code": "234",
    "number": "08012345678"
  }
}
'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": "cus_3XarBILKQS",
    "address": {
      "city": "New York",
      "country": "US",
      "line1": "123 Main Street",
      "postal_code": "10001",
      "state": "New York",
      "line2": "Apt 4B"
    },
    "email": "cornelius@gmail.com",
    "name": {
      "first": "King",
      "middle": "Leo",
      "last": "LeBron"
    },
    "phone": {
      "country_code": "234",
      "number": "08012345678"
    },
    "meta": {},
    "created_datetime": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Path Parameters

id
string
required

ID of the customer.

Example:

"cus_3XarBILKQS"

Body

application/json
address
object

Customer address information.

meta
object
name
object

The Customer's full name.

phone
object

The customer's mobile number.

Example:
{
"country_code": "234",
"number": "08012345678"
}

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
data
object